[libglib2.0] evolution + evolution-ews

Bug #1498945 reported by Gérard Bigot on 2015-09-23
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
GLib
Invalid
Medium
evolution (Ubuntu)
Undecided
Unassigned
evolution-data-server (Ubuntu)
High
Unassigned
evolution-ews (Ubuntu)
Undecided
Unassigned
glib2.0 (Ubuntu)
High
Iain Lane

Bug Description

I have two different exchange email configurated in evolution through evolution-ews.

With

libglib2.0-0_2.45.7-1_amd64.deb
libglib2.0-bin_2.45.7-1_amd64.deb
libglib2.0-data_2.45.7-1_all.deb

it's working. I get new mails. I can send mails. Calendar OK.

But, with the new

libglib2.0-0_2.45.8-1_amd64.deb
libglib2.0-bin_2.45.8-1_amd64.deb
libglib2.0-data_2.45.8-1_all.deb

I can't even connect to the mail servers.

I can switch from working/not working and back in the same unity session just by switching libglib versions and restarting evolution.

I'm in wily uptodate.

Gérard Bigot (gerard-bigot) wrote :
Gérard Bigot (gerard-bigot) wrote :

It's still not working with libglib2.0 2.46.0-1.
Still OK with 2.45.7-1

Changed in glib2.0 (Ubuntu):
assignee: nobody → Iain Lane (laney)
importance: Undecided → High
tags: added: rls-w-incoming
Iain Lane (laney) wrote :

I'm going to upload a test package of libglib2.0-0 to ppa:ubuntu-desktop/ppa - can you check it out please when it appears?

(That's with https://git.gnome.org/browse/glib/commit/?id=2d7817887a9f0624f73492d04b2a992545f0beb9)

Gérard Bigot (gerard-bigot) wrote :

I just tried to install

libglib2.0-0_2.46.0-1+ppa1_amd64.deb
libglib2.0-bin_2.46.0-1+ppa1_amd64.deb
libglib2.0-data_2.46.0-1+ppa1_all.deb

as requested from the ppa.

I got the same behaviour. The console log is the same as the one in the attached file evolution-after.

Iain Lane (laney) wrote :

Thanks!

Is it right that you are using EWS? I uploaded the new version 3.16.5 to the same PPA - please also give that a try once it's available.

If that doesn't fix it, then the following information would be helpful.

Please could you try to get a backtrace by doing something like the following.

Enable the debug repository: https://wiki.ubuntu.com/DebuggingProgramCrash#Non-built-in_debug_symbol_packages_.28.2A-dbgsym.29

apt-get install evolution-dbg evolution-ews-dbgsym
G_DEBUG=fatal-criticals G_MESSAGES_DEBUG=all gdb evolution | tee gdb.log
(gdb) set pagination 0
(gdb) run

... and then when (hopefully) it aborts before starting up

(gdb) bt full
(gdb) quit

and then attach gdb.log to this bug.

Gérard Bigot (gerard-bigot) wrote :

Please find requested gdb.log file.

I just removed password detail XXXXX. I kept the number of digits.

Iain Lane (laney) wrote :

Sorry, I didn't tell you all of the packages we need :(

Could you please try it again with evolution-data-server-dbg and libglib2.0-0-dbg installed?

I've looked at the changes between 2.45.7 and 2.45.8 and I don't immediately see one which is suspicious - hopefully this will help.

Iain Lane (laney) wrote :

Oh also, can you confirm you tried 3.16.5 please?

Gérard Bigot (gerard-bigot) wrote :

I tried the ppa version of evolution-ews (evolution-ews - 3.16.5-0ubuntu1~ppa0) without success.

Gérard Bigot (gerard-bigot) wrote :

as requested

Gérard Bigot (gerard-bigot) wrote :

Ok, editing gdb.log form the console with gedit , it crashed on me. I had the old libglib.

gedit

** (gedit:32007): WARNING **: (../../../lib/unity-gtk-menu-shell.c:176):unity_gtk_menu_shell_show_item: code should not be reached

** (gedit:32007): WARNING **: (../../../lib/unity-gtk-menu-shell.c:176):unity_gtk_menu_shell_show_item: code should not be reached

** (gedit:32007): WARNING **: (../../../lib/unity-gtk-menu-shell.c:176):unity_gtk_menu_shell_show_item: code should not be reached

** (gedit:32007): WARNING **: (../../../lib/unity-gtk-menu-shell.c:348):unity_gtk_menu_shell_hide_item: code should not be reached

** (gedit:32007): WARNING **: (../../../lib/unity-gtk-menu-shell.c:348):unity_gtk_menu_shell_hide_item: code should not be reached

** (gedit:32007): WARNING **: (../../../lib/unity-gtk-menu-shell.c:321):unity_gtk_menu_shell_hide_item: code should not be reached

** (gedit:32007): WARNING **: (../../../lib/unity-gtk-menu-shell.c:326):unity_gtk_menu_shell_hide_item: code should not be reached

** (gedit:32007): CRITICAL **: unity_gtk_menu_shell_handle_item_notify: assertion 'UNITY_GTK_IS_MENU_SHELL (shell)' failed

** (gedit:32007): CRITICAL **: unity_gtk_menu_shell_handle_item_notify: assertion 'UNITY_GTK_IS_MENU_SHELL (shell)' failed

Gérard Bigot (gerard-bigot) wrote :

Sorry , I had the new libglib

When I swtich to the old one , I get nothing in the console for a run of gedit.

Iain Lane (laney) wrote :

In comment #11, are you sure you had libglib2.0-0-dbg and evolution-data-server-dbg installed?

I see

#11 0x00007ffff6d67f85 in ?? () from /usr/lib/libcamel-1.2.so.52
No symbol table info available.
#12 0x00007ffff3f61d88 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
No symbol table info available.

- these messages indicate that gdb can't find the debugging information for those libraries, which should be in those packages.

Gérard Bigot (gerard-bigot) wrote :

found in my history :

9450 sudo apt-get install evolution-dbg evolution-ews-dbgsym evolution-data-server-dbg libglib2.0-0-dbg libglib2.0-0 libglib2.0-bin libglib2.0-data

Yes, I had them installed.

Gérard Bigot (gerard-bigot) wrote :

Re-tried. Please find a new gdb.log without 'No symbol table info available.' line .

Gérard Bigot (gerard-bigot) wrote :

I think I messed/missed something.

Gérard Bigot (gerard-bigot) wrote :
Download full text (3.6 KiB)

for reference :
 dpkg -l | egrep 'evolution|libglib'
ii evolution 3.16.5-1ubuntu1 amd64 groupware suite with mail client and organizer
ii evolution-common 3.16.5-1ubuntu1 all architecture independent files for Evolution
ii evolution-data-server 3.16.5-1ubuntu2 amd64 evolution database backend server
ii evolution-data-server-common 3.16.5-1ubuntu2 all architecture independent files for Evolution Data Server
ii evolution-data-server-dbg 3.16.5-1ubuntu2 amd64 evolution database backend server with debugging symbols
ii evolution-dbg 3.16.5-1ubuntu1 amd64 debugging symbols for Evolution
ii evolution-ews 3.16.3-1 amd64 Exchange Web Services integration for Evolution
ii evolution-ews-dbgsym 3.16.3-1 amd64 debug symbols for package evolution-ews
ii evolution-plugins 3.16.5-1ubuntu1 amd64 standard plugins for Evolution
ii libebackend-1.2-10 3.16.5-1ubuntu2 amd64 Utility library for evolution data servers
ii libebook-1.2-16 3.16.5-1ubuntu2 amd64 Client library for evolution address books
ii libebook-contacts-1.2-1 3.16.5-1ubuntu2 amd64 Client library for evolution contacts books
ii libecal-1.2-18 3.16.5-1ubuntu2 amd64 Client library for evolution calendars
ii libedata-book-1.2-25 3.16.5-1ubuntu2 amd64 Backend library for evolution address books
ii libedata-cal-1.2-27 3.16.5-1ubuntu2 amd64 Backend library for evolution calendars
ii libedataserver-1.2-20 3.16.5-1ubuntu2 amd64 Utility library for evolution data servers
ii libedataserverui-1.2-1 3.16.5-1ubuntu2 amd64 Utility library for evolution data servers
ii libevolution 3.16.5-1ubuntu1 amd64 evolution libraries
ii libglib-perl 3:1.307-3 amd64 interface to the GLib and GObject libraries
ii libglib2.0-0:amd64 2.46.0-1+ppa1 amd64 GLib library of C routines
ii libglib2.0-0-dbg:amd64 2.46.0-1+ppa1 amd64 ...

Read more...

Iain Lane (laney) wrote :

Thanks!

I forwarded this report to the developers of evolution now - maybe they have an idea.

The link is https://bugzilla.gnome.org/show_bug.cgi?id=755742- it would be helpful if you could respond to any questions they have there (if you sign up for an account on https://bugzilla.gnome.org you can subscribe to that report).

I subscribed and sent a message in the gnome bugzilla.

2015-09-28 16:59 GMT+02:00 Iain Lane <email address hidden>:

> Thanks!
>
> I forwarded this report to the developers of evolution now - maybe they
> have an idea.
>
> The link is https://bugzilla.gnome.org/show_bug.cgi?id=755742- it would
> be helpful if you could respond to any questions they have there (if you
> sign up for an account on https://bugzilla.gnome.org you can subscribe
> to that report).
>
> ** Bug watch added: GNOME Bug Tracker #755742
> https://bugzilla.gnome.org/show_bug.cgi?id=755742
>
> ** Also affects: glib via
> https://bugzilla.gnome.org/show_bug.cgi?id=755742
> Importance: Unknown
> Status: Unknown
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1498945
>
> Title:
> [libglib2.0] evolution + evolution-ews
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/glib/+bug/1498945/+subscriptions
>

Changed in glib:
importance: Unknown → Medium
status: Unknown → Confirmed
Changed in glib:
status: Confirmed → Invalid
Gérard Bigot (gerard-bigot) wrote :

Hi,

can we test with the proposed patch in
https://bugzilla.gnome.org/show_bug.cgi?id=755075 ?

2015-09-29 18:22 GMT+02:00 Bug Watch Updater <email address hidden>:

> ** Changed in: glib
> Status: Confirmed => Invalid
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1498945
>
> Title:
> [libglib2.0] evolution + evolution-ews
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/glib/+bug/1498945/+subscriptions
>

Iain Lane (laney) wrote :

On Wed, Sep 30, 2015 at 08:14:01AM -0000, mangouste06 wrote:
> Hi,
>
> can we test with the proposed patch in
> https://bugzilla.gnome.org/show_bug.cgi?id=755075 ?

I put in the PPA, please check it in a little bit once it is built.

--
Iain Lane [ <email address hidden> ]
Debian Developer [ <email address hidden> ]
Ubuntu Developer [ <email address hidden> ]

Gérard Bigot (gerard-bigot) wrote :
Download full text (4.1 KiB)

I declare success with this stack :

 dpkg -l | egrep 'evolution|libglib|networking-'
ii evolution 3.16.5-1ubuntu1
                       amd64 groupware suite with mail client and
organizer
ii evolution-common 3.16.5-1ubuntu1
                       all architecture independent files for
Evolution
ii evolution-data-server 3.16.5-1ubuntu3~ppa0
                      amd64 evolution database backend server
ii evolution-data-server-common 3.16.5-1ubuntu3~ppa0
                      all architecture independent files for
Evolution Data Server
ii evolution-ews 3.16.3-1
                      amd64 Exchange Web Services integration for
Evolution
ii evolution-plugins 3.16.5-1ubuntu1
                       amd64 standard plugins for Evolution
ii glib-networking-common 2.46.0-1
                      all network-related giomodules for GLib -
data files
ii glib-networking-services 2.46.0-1
                      amd64 network-related giomodules for GLib -
D-Bus services
ii libebackend-1.2-10 3.16.5-1ubuntu3~ppa0
                      amd64 Utility library for evolution data
servers
ii libebook-1.2-16 3.16.5-1ubuntu3~ppa0
                      amd64 Client library for evolution address
books
ii libebook-contacts-1.2-1 3.16.5-1ubuntu3~ppa0
                      amd64 Client library for evolution contacts
books
ii libecal-1.2-18 3.16.5-1ubuntu3~ppa0
                      amd64 Client library for evolution calendars
ii libedata-book-1.2-25 3.16.5-1ubuntu3~ppa0
                      amd64 Backend library for evolution address
books
ii libedata-cal-1.2-27 3.16.5-1ubuntu3~ppa0
                      amd64 Backend library for evolution calendars
ii libedataserver-1.2-20 3.16.5-1ubuntu3~ppa0
                      amd64 Utility library for evolution data
servers
ii libedataserverui-1.2-1 3.16.5-1ubuntu3~ppa0
                      amd64 Utility library for evolution data
servers
ii libevolution 3.16.5-1ubuntu1
                       amd64 evolution libraries
ii libglib-perl 3:1.307-3
                       amd64 interface to the GLib and GObject
libraries
ii libglib2.0-0:amd64 2.46.0-2
                      amd64 GLib library of C routines
ii libglib2.0-bin 2.46.0-2
                      amd64 Programs for the GLib library
ii libglib2.0-data 2.46.0-2
                      all Common files for GLib library
ii libglibmm-2.4-1v5:amd64...

Read more...

Gérard Bigot (gerard-bigot) wrote :
Download full text (4.2 KiB)

The changes are :

new libglib2.0, glib-networking, and all evolution-data-server related
packages from PPA.

I rebooted to check.

2015-09-30 11:57 GMT+02:00 Gérard BIGOT <email address hidden>:

> I declare success with this stack :
>
> dpkg -l | egrep 'evolution|libglib|networking-'
> ii evolution 3.16.5-1ubuntu1
> amd64 groupware suite with mail client and
> organizer
> ii evolution-common 3.16.5-1ubuntu1
> all architecture independent files for
> Evolution
> ii evolution-data-server
> 3.16.5-1ubuntu3~ppa0 amd64 evolution database
> backend server
> ii evolution-data-server-common
> 3.16.5-1ubuntu3~ppa0 all architecture
> independent files for Evolution Data Server
> ii evolution-ews 3.16.3-1
> amd64 Exchange Web Services integration for
> Evolution
> ii evolution-plugins 3.16.5-1ubuntu1
> amd64 standard plugins for Evolution
> ii glib-networking-common 2.46.0-1
> all network-related giomodules for GLib -
> data files
> ii glib-networking-services 2.46.0-1
> amd64 network-related giomodules for GLib -
> D-Bus services
> ii libebackend-1.2-10
> 3.16.5-1ubuntu3~ppa0 amd64 Utility library for
> evolution data servers
> ii libebook-1.2-16
> 3.16.5-1ubuntu3~ppa0 amd64 Client library for
> evolution address books
> ii libebook-contacts-1.2-1
> 3.16.5-1ubuntu3~ppa0 amd64 Client library for
> evolution contacts books
> ii libecal-1.2-18
> 3.16.5-1ubuntu3~ppa0 amd64 Client library for
> evolution calendars
> ii libedata-book-1.2-25
> 3.16.5-1ubuntu3~ppa0 amd64 Backend library for
> evolution address books
> ii libedata-cal-1.2-27
> 3.16.5-1ubuntu3~ppa0 amd64 Backend library
> for evolution calendars
> ii libedataserver-1.2-20
> 3.16.5-1ubuntu3~ppa0 amd64 Utility library
> for evolution data servers
> ii libedataserverui-1.2-1
> 3.16.5-1ubuntu3~ppa0 amd64 Utility library for
> evolution data servers
> ii libevolution 3.16.5-1ubuntu1
> amd64 evolution libraries
> ii libglib-perl 3:1.307-3
> amd64 interface to the GLib and GObject
> libraries
> ii libglib2.0-0:amd64 2.46.0-2
> amd64 GLib library of C routines
> ii libglib2.0-bin 2.46.0-2
> amd64 Programs for the GLib library
> ii libglib2.0-data 2.46.0-2
> all Common files for ...

Read more...

Gérard Bigot (gerard-bigot) wrote :
Download full text (4.4 KiB)

And the console log is the same as the attached file evolution-before
without the deprecation messages.

2015-09-30 11:58 GMT+02:00 Gérard BIGOT <email address hidden>:

> The changes are :
>
> new libglib2.0, glib-networking, and all evolution-data-server related
> packages from PPA.
>
> I rebooted to check.
>
>
>
> 2015-09-30 11:57 GMT+02:00 Gérard BIGOT <email address hidden>:
>
>> I declare success with this stack :
>>
>> dpkg -l | egrep 'evolution|libglib|networking-'
>> ii evolution 3.16.5-1ubuntu1
>> amd64 groupware suite with mail client and
>> organizer
>> ii evolution-common 3.16.5-1ubuntu1
>> all architecture independent files for
>> Evolution
>> ii evolution-data-server
>> 3.16.5-1ubuntu3~ppa0 amd64 evolution database
>> backend server
>> ii evolution-data-server-common
>> 3.16.5-1ubuntu3~ppa0 all architecture
>> independent files for Evolution Data Server
>> ii evolution-ews 3.16.3-1
>> amd64 Exchange Web Services integration for
>> Evolution
>> ii evolution-plugins 3.16.5-1ubuntu1
>> amd64 standard plugins for Evolution
>> ii glib-networking-common 2.46.0-1
>> all network-related giomodules for GLib -
>> data files
>> ii glib-networking-services 2.46.0-1
>> amd64 network-related giomodules for GLib -
>> D-Bus services
>> ii libebackend-1.2-10
>> 3.16.5-1ubuntu3~ppa0 amd64 Utility library for
>> evolution data servers
>> ii libebook-1.2-16
>> 3.16.5-1ubuntu3~ppa0 amd64 Client library for
>> evolution address books
>> ii libebook-contacts-1.2-1
>> 3.16.5-1ubuntu3~ppa0 amd64 Client library for
>> evolution contacts books
>> ii libecal-1.2-18
>> 3.16.5-1ubuntu3~ppa0 amd64 Client library for
>> evolution calendars
>> ii libedata-book-1.2-25
>> 3.16.5-1ubuntu3~ppa0 amd64 Backend library for
>> evolution address books
>> ii libedata-cal-1.2-27
>> 3.16.5-1ubuntu3~ppa0 amd64 Backend library
>> for evolution calendars
>> ii libedataserver-1.2-20
>> 3.16.5-1ubuntu3~ppa0 amd64 Utility library
>> for evolution data servers
>> ii libedataserverui-1.2-1
>> 3.16.5-1ubuntu3~ppa0 amd64 Utility library for
>> evolution data servers
>> ii libevolution 3.16.5-1ubuntu1
>> amd64 evolution libraries
>> ii libglib-perl 3:1.307-3
>> amd64 interface to the GLib and GObject
>> libraries
>> ii libglib2.0-0:amd64 2.46.0-2
>> amd64 GLib library of C routines
>>...

Read more...

Iain Lane (laney) on 2015-09-30
Changed in evolution (Ubuntu):
status: New → Invalid
Changed in evolution-ews (Ubuntu):
status: New → Invalid
Changed in glib2.0 (Ubuntu):
status: New → Invalid
Changed in evolution-data-server (Ubuntu):
status: New → Triaged
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package evolution-data-server - 3.16.5-1ubuntu3

---------------
evolution-data-server (3.16.5-1ubuntu3) wily; urgency=medium

  [ Sebastien Bacher ]
  * debian/patches/git_invalid_unref_source.patch:
    - "[UOA] Incorrect ESource unref in e_signon_session_password_get()"

  [ Iain Lane ]
  * debian/patches/git_Bug-755075-Recent-glib-2.45.8-change-breaks-account-.patch
    - Fix settings incorrectly returning their default values, which breaks
      some setups (LP: #1498945)
  * Include some changes which were committed to the VCS for 1ubuntu1 (delta
    reduction vs. Debian) but accidentally not uploaded.
    - Debian disabled libphonenumber too; take their commented out rules
      snippet
    - debian/libebackend-1.2-10.install: Use a regex and mark leaked icu
      symbols as optional.

 -- Iain Lane <email address hidden> Wed, 30 Sep 2015 12:36:50 +0100

Changed in evolution-data-server (Ubuntu):
status: Triaged → Fix Released
Gérard Bigot (gerard-bigot) wrote :

Thanks.

2015-09-30 16:50 GMT+02:00 Launchpad Bug Tracker <<email address hidden>
>:

> This bug was fixed in the package evolution-data-server -
> 3.16.5-1ubuntu3
>
> ---------------
> evolution-data-server (3.16.5-1ubuntu3) wily; urgency=medium
>
> [ Sebastien Bacher ]
> * debian/patches/git_invalid_unref_source.patch:
> - "[UOA] Incorrect ESource unref in e_signon_session_password_get()"
>
> [ Iain Lane ]
> *
> debian/patches/git_Bug-755075-Recent-glib-2.45.8-change-breaks-account-.patch
> - Fix settings incorrectly returning their default values, which breaks
> some setups (LP: #1498945)
> * Include some changes which were committed to the VCS for 1ubuntu1
> (delta
> reduction vs. Debian) but accidentally not uploaded.
> - Debian disabled libphonenumber too; take their commented out rules
> snippet
> - debian/libebackend-1.2-10.install: Use a regex and mark leaked icu
> symbols as optional.
>
> -- Iain Lane <email address hidden> Wed, 30 Sep 2015 12:36:50 +0100
>
> ** Changed in: evolution-data-server (Ubuntu)
> Status: Triaged => Fix Released
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1498945
>
> Title:
> [libglib2.0] evolution + evolution-ews
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/glib/+bug/1498945/+subscriptions
>

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.